---
name: New issue template
about: Template for new issues, any issues not following these templates will be automatically
  closed
---

<!--
Please make sure you have searched previous issues before opening a new issue.
-->

<!-- Describe your issue in detail. -->

## Steps to Reproduce

- You must provide a **minimal and easy-to-run** reproduction of your issue - [how to create a minimal reproduction?](https://stackoverflow.com/help/mcve). We're a small team of maintainers and do not have time to try reproduce bugs ourselves.

- Please try to reproduce the bugs on the provided example app. Either provide a link to the repo that reproduces the bug or provide your version of the [`index.js` file](https://github.com/react-native-community/react-native-google-signin/blob/master/example/index.js) that reproduces the issue and that we can easily use.

- Explain the steps we need to take to reproduce the issue.

- Include a gif if you think it may help.

- If you're asking for help, please make it easy for us to help you!

## Expected Behavior

<!-- Write what you thought would happen. -->

## Actual Behavior

<!-- Write what happened. Include a gif if needed. If this is a regression, let us know. -->

## Environment

Please provide the version of your

- react-native
- react-native-google-signin
- cocoapods and GoogleSignIn pod version (if applicable)
- version of Android, gradle, android plugin for gradle, `play-services-auth` and version of the Google Play Services app on your phone (if applicable)
